Remove Lookups

Deletes multiple specified lookups. This operation requires administrator role. Allows operation failures for partial lists and returns object identifiers and failure reasons in the failures parameter when deletion fails.

HTTP Request

DELETE /api/sonar/lookups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d guids="GUID1,GUID2,GUIDN"
     -X DELETE https://HOSTNAME/api/sonar/lookups
Request Parameters
KeyRequiredTypeDescriptionNotes
guidsYStringLookup GUIDsComma-separated lookup GUID list

Successful Response

All successful

HTTP status code 200 response

{
  "failures": []
}
Partially successful

HTTP status code 200 response

{
  "failures": [
    {
      "id": "7062774f-dbff-4d6f-aa68-c618eb9f6a41",
      "reason": "lookup-not-found"
    }
  ]
}

Error Responses

guids: missing parameter value

HTTP status code 400 response

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
guids: invalid GUID format

HTTP status code 400 response

{
  "error_code": "invalid-param-type",
  "error_msg": "guids should be guid type."
}
permission: not administrator role

HTTP status code 500 response

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}